﻿Namespace ViewModel

	Public Class MoviesViewModel
		Inherits ViewModelBase

#Region "Fields"

		Protected _ratings As Ratings
		Protected _movies As Movies
		Protected _selectedMovie As Movie

#End Region

#Region "Constructors"

		Public Sub New()
			_ratings = New Ratings(Me)
			_movies = New Movies(Me)
			_selectedMovie = Nothing
		End Sub

#End Region

#Region "Data Properties"

		Public Property Ratings() As Ratings
			Get
				Return _ratings
			End Get
			Set(value As Ratings)
				_ratings = value
				MyBase.RaisePropertyChangedEvent("Ratings")
			End Set
		End Property

		Public Property Movies() As Movies
			Get
				Return _movies
			End Get
			Set(value As Movies)
				_movies = value
				MyBase.RaisePropertyChangedEvent("Movies")
			End Set
		End Property

		Public Property ActiveMovie() As Movie
			Get
				Return _selectedMovie
			End Get
			Set(value As Movie)
				_selectedMovie = value
				MyBase.RaisePropertyChangedEvent("ActiveMovie")
			End Set
		End Property

#End Region

	End Class

End Namespace